Home of the Squeezebox™ & Transporter® network music players.
Page 25 of 41 FirstFirst ... 15232425262735 ... LastLast
Results 241 to 250 of 406
  1. #241
    Senior Member paul-'s Avatar
    Join Date
    Jan 2013
    Posts
    4,421
    So this only affected pizero and pi1 boards.

    Please update filesystems-KERNEL.tcz

    You can remove, reboot then re-add the file systems extension, or update it from the Extension browser or from command line

    pcp-update filesystems-KERNEL.tcz
    piCorePlayer a small player for the Raspberry Pi in RAM.
    Homepage: https://www.picoreplayer.org

    Please donate if you like the piCorePlayer

  2. #242
    Senior Member
    Join Date
    Jul 2007
    Location
    Boston, MA, USA
    Posts
    184

    samba: success with vers=2.0,2.1,3.0 (but not vers=3.1.1 or 3.11 or no vers option)

    Quote Originally Posted by paul- View Post
    So this only affected pizero and pi1 boards.

    Please update filesystems-KERNEL.tcz

    You can remove, reboot then re-add the file systems extension, or update it from the Extension browser or from command line

    pcp-update filesystems-KERNEL.tcz
    FIXED! Thank you!

    It now connects with vers=2.0 or 2.1 or 3.0. (for me, no need for sec=ntlm)

    Great news, thanks for the fix.

    ================

    Just for completeness (I am happy with using 3.0 with pcp; my windows machine uses 3.1.1 to connect so I tried using that):

    It fails with vers=3.11 or 3.1.1 or no "vers=x.x", with this in dmesg

    Code:
    [   49.125566] CIFS: Attempting to mount //192.168.5.163/pcp
    [   49.402963] CIFS: VFS: Could not allocate crypto sha512
    [   49.439679] CIFS: VFS: Could not allocate crypto sha512
    [   49.480112] CIFS: VFS: Could not allocate crypto sha512
    [   49.513449] CIFS: VFS: Could not allocate crypto sha512
    [   49.679813] CIFS: VFS: Could not allocate crypto sha512
    [   49.683325] CIFS: VFS: \\192.168.5.163 failed to connect to IPC (rc=-13)
    [   49.686112] CIFS: VFS: session 2815892e has no tcon available for a dfs referral request
    [   49.695150] CIFS: VFS: cifs_mount failed w/return code = -13
    Thanks again for fixing. If you want me to test anything else to fix the above, happy to do so.

    Tom
    SB3(1), Boom(2), Radio(3), piCorePlayer (1)

  3. #243
    Senior Member
    Join Date
    Jul 2007
    Location
    Boston, MA, USA
    Posts
    184
    Quote Originally Posted by Paul Webster View Post
    Try with vers=1.0 .... that is what worked for me in this particular case (2.0 and 3.0 did not but I was using 2.0 with pCP7)
    Thanks Paul for the idea - the fix to replace the kernel thing worked for me (see my post) so I never went to vers=1.0
    SB3(1), Boom(2), Radio(3), piCorePlayer (1)

  4. #244
    Junior Member
    Join Date
    Aug 2021
    Posts
    2
    Quote Originally Posted by jd68 View Post
    Additionally, you could add a hint where to save the kernel source. On my RPi 3B+, the / partition has a size of 876 MB but the script failed to uncompress the kernel sources. Therefore I created a subfolder below /mnt/mmcblk0p2 and changed its ownership to tc:staff. Afterwards the script run through with the new target folder.
    This comment really helped.
    Just started looking at PiCore as an alternative to Raspbian and had started head scratching why I didn't have space.
    It is of course obvious but not immediately. A strong hint, would definitely ease the learning curve.

  5. #245
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    4,791

    LMS dev branch is now v8.3?

    @paul-

    v8.2 is now released. https://forums.slimdevices.com/showt...8-2-0-released

    Any chance of making 8.3 the dev branch? http://downloads.slimdevices.com/nig...ex.php?ver=8.3
    Server - LMS 8.3.0 Pi4B 4GB/Argon one case/pCP 8.0.0 - 75K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi4/pCP 8.0.0/Topping E30 DAC/Ruark MR1 Mk2
    Lounge - Pi2/pCP 8.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Pi3B/pCP/Bluetooth/Echo Show 8
    Garage - DAC32 > Edifier speakers

    Spares - 2xTouch, 1xSB Radio. 1xSB3, 6xRPi

  6. #246
    Senior Member paul-'s Avatar
    Join Date
    Jan 2013
    Posts
    4,421
    It should be automatic. We get the versions from slimdevices.

    Code:
    release) LATEST="http://downloads.slimdevices.com/releases/latest.xml";;
    stable) LATEST="http://downloads.slimdevices.com/releases/nightly/stable.xml;;
    devel) LATEST="http://downloads.slimdevices.com/releases/nightly/dev.xml";;
    piCorePlayer a small player for the Raspberry Pi in RAM.
    Homepage: https://www.picoreplayer.org

    Please donate if you like the piCorePlayer

  7. #247
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,605

    Announce: piCorePlayer 8.0.0

    > Any chance of making 8.3 the dev branch?
    > http://downloads.slimdevices.com/nig...ex.php?ver=8.3


    As Paul said this should be automatic. That said I did have problems
    updating earlier today, too. It was a caching issue, and a few hours
    later the dev.xml would return the correct data. Maybe it'll be working
    for you in a bit, too? What would
    http://downloads.slimdevices.com/rel...ightly/dev.xml return to you?

  8. #248
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    4,791
    Quote Originally Posted by mherger View Post
    > Any chance of making 8.3 the dev branch?
    > http://downloads.slimdevices.com/nig...ex.php?ver=8.3


    As Paul said this should be automatic. That said I did have problems
    updating earlier today, too. It was a caching issue, and a few hours
    later the dev.xml would return the correct data. Maybe it'll be working
    for you in a bit, too? What would
    http://downloads.slimdevices.com/rel...ightly/dev.xml return to you?
    Returns 8.3. But LMS > Settings > Advanced > Software updates > Check for updates is showing "There's no updated Logitech Media Server version available".

    pCP 8.0 set to dev branch.

    Name:  devbranch.jpg
Views: 339
Size:  26.6 KB
    Server - LMS 8.3.0 Pi4B 4GB/Argon one case/pCP 8.0.0 - 75K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi4/pCP 8.0.0/Topping E30 DAC/Ruark MR1 Mk2
    Lounge - Pi2/pCP 8.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Pi3B/pCP/Bluetooth/Echo Show 8
    Garage - DAC32 > Edifier speakers

    Spares - 2xTouch, 1xSB Radio. 1xSB3, 6xRPi

  9. #249
    Senior Member paul-'s Avatar
    Join Date
    Jan 2013
    Posts
    4,421
    Well not fully automatic.... Press the "Manual Update" button. Since you are changing versions, the automatic update check from within LMS does not work. But the upgrade links from with the update script do pull and load the correct version.
    piCorePlayer a small player for the Raspberry Pi in RAM.
    Homepage: https://www.picoreplayer.org

    Please donate if you like the piCorePlayer

  10. #250
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,605

    Announce: piCorePlayer 8.0.0

    > Well not fully automatic.... Press the "Manual Update" button. Since
    > you are changing versions, the automatic update check from within LMS
    > does not work. But the upgrade links from with the update script do
    > pull and load the correct version.


    Thanks Paul for the clarification! You're right, of course. The LMS
    built in update checker would NOT get you the next dev version. This is
    confusing even me with each release :-).

    Basically you'd never get the next dev release automatically unless what
    you've installed already is more recent than the latest release. So if
    you were on 8.2, you'd stay on 8.2. You then have to take the step to
    the dev version manually after each release to get past the released
    revision. Thereafter you'd be on the right branch and stay there until
    the next release.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •